﻿<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <BlazorWebAssemblyLoadAllGlobalizationData>true</BlazorWebAssemblyLoadAllGlobalizationData>
    <RootNamespace>OnSive.Web.Client</RootNamespace>
    <AssemblyName>OnSive.Web.Client</AssemblyName>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="Shared\Components\BlazorHeroLogo.razor" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.FluentValidation" Version="2.0.3" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="6.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="6.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="6.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="6.0.1" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.Identity" Version="2.2.0" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Http.Polly" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Identity.Core" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Localization" Version="6.0.1" />
    <PackageReference Include="System.Net.Http.Json" Version="6.0.0" />
    <PackageReference Include="MudBlazor" Version="6.0.5" />
    <PackageReference Include="Blazored.LocalStorage" Version="4.1.5" />
  </ItemGroup>

  <ItemGroup>
    <UpToDateCheckInput Remove="Shared\Components\BlazorHeroLogo.razor" />
  </ItemGroup>

  <ItemGroup>
    <_ContentIncludedByDefault Remove="Shared\Components\BlazorHeroLogo.razor" />
  </ItemGroup>

  <ItemGroup>
    <None Include="Shared\Components\BlazorHeroLogo.razor" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Client.Infrastructure\Infrastructure.Client.csproj" />
    <ProjectReference Include="..\Shared\Shared.csproj" />
  </ItemGroup>

</Project>
